(function ($) {
    'use strict';

    $(document).ready(function () {

        $(document).on("click", "#wpd-activate", function () {
            request_registration();
        });

        function request_registration() {
            $("#spinner").css({display: "inline-block"});
            $.post(
                    ajaxurl,
                    {
                        action: "wpd_activate_license"
                    },
                    function (data) {
                        $("#spinner").css({display: "none"});
                        switch (data) {
                            case "200":
                                alert("Activation succeded! Your product is now activated");
                                document.location.reload(true);
                                break;
                            default:
                                alert(data);
                                $('#license-message').html("<p>" + data + "</p>");
                                break;
                        }
                    })
                    .fail(function (xhr, status, error) {
                        $("#spinner").css({display: "none"});
                        $('#license-message').html("<p>Activation failed due to a network error. Please, retry later. </p>");
                        alert("Activation failed due to a network error. Please, retry later.");
                    });
        }
    });


})(jQuery);
